import Renderer from './renderer/Renderer';
import { SpriteCoords, SpriteView, SpriteViewBuilder } from './sprite';
import { loadImage, mkTexture } from './util/image';

export async function loadSimpleEntity(r: Renderer, sprite: string): Promise<SpriteView> {
	const tile = await loadImage(`resources/sprite/entity/${sprite}.png`);
	const texture = mkTexture(r.getContext(), tile);

	const builder = new SpriteViewBuilder(r, texture);

	const coords: SpriteCoords = [0, 0, 1, 1];
	builder.addSprite(coords, coords);

	return builder.build();
}
